package com.javahonk.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedNativeQueries;
import javax.persistence.NamedNativeQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@NamedNativeQueries({
	@NamedNativeQuery(
	name = "callStoredProcedure",
	query = "{CALL OTC.dbo.TestStoreProcedure(:eventDate)}",
	resultClass = TestModelForProcedure.class
	)
})
@Entity
@Table(name = "OTC.dbo.TestStoreProcedure")
public class TestModelForProcedure {
	
	@Id
	@Column(name="test_id")
	private String test_id;
	
	@Column(name="smID")
	private String smID;
	
	@Column(name="eventDate")
	private java.sql.Date eventDate;
	
	@Column(name="createTime")
	private Date createTime;
	
	@Column(name="updateTime")
	@Temporal(TemporalType.TIMESTAMP)
	private Date updateTime;

	public String getTest_id() {
		return test_id;
	}

	public void setTest_id(String test_id) {
		this.test_id = test_id;
	}

	public String getSmID() {
		return smID;
	}

	public void setSmID(String smID) {
		this.smID = smID;
	}

	public java.sql.Date getEventDate() {
		return eventDate;
	}

	public void setEventDate(java.sql.Date eventDate) {
		this.eventDate = eventDate;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	@Override
	public String toString() {
		return "EquitySwapTestModelForProcedure [test_id=" + test_id
				+ ", smID=" + smID + ", eventDate=" + eventDate
				+ ", createTime=" + createTime + ", updateTime=" + updateTime
				+ "]";
	}

	
	
}
